Generate QR

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Headers Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code- 1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique Client SecretMY
X-Ipay-Outlet-IdStringMerchant Unique IDMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN

Sample Request Parameters

NameTypeMandatory (M) , Optional (O)Description
latitudeStringMCurrent location latitude
longitudeStringMCurrent location longitude
mobileStringMUser Mobile no
amountStringMAmount to be withdrawn
externalRefStringMUnique Transaction Id

Sample Request

curl --location 'https://api.instantpay.in/fi/uatm/generateQr' \
--header 'X-Ipay-Auth-Code: 1' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: 127.0.0.1' \
--header 'X-Ipay-Outlet-Id: {{outletId}}' \
--header 'Content-Type: application/json' \
--data '{
    "latitude": "28.50937",
    "longitude": "77.29727",
    "mobile" : "7845681234",
    "amount" : "100",
    "externalRef" : "177616676341"
}'
POST /fi/uatm/generateQr HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: 127.0.0.1
X-Ipay-Outlet-Id: {{outletId}}
Content-Type: application/json

{
    "latitude": "28.50937",
    "longitude": "77.29727",
    "mobile": "7845681234",
    "amount": "100",
    "externalRef": "177616676341"
}

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "QR Generated Successfully.",
    "data": {
        "externalRef": "1776237698",
        "qrStatus": "INITIATED",
        "qrStatusMsg": "QR Generated Successfully",
        "qrString": "upi://pay?pa=jpbcw.7216@jiomerchant&pn=Jio Payments Bank BC&mc=6013&tr=P260415125138TERTS&tn=CashWithdrawal&am=100.0&cu=INR&mode=15&purpose=00&orgid=JIOP&category=1&QRexpire=2026-04-15T12:52:23.607+05:30&&sign=N1bzhXQNP+iumLagTL2SKolVyZ1ldEvD2jhR9D36IzemkFdNdn3+SIZkNIhomd+z7GPLP28riK5v5p68seYhMpVe+w+9GIgLu04Lw2V2qbfSgPs+1O",
        "qrMobile": "upi://pay?pa=jpbcw.7216@jiomerchant&pn=Jio Payments Bank BC&mc=6013&tr=P260415125138TERTS&tn=CashWithdrawal&am=100.0&cu=INR&mode=15&purpose=00&orgid=JIOP&category=1&QRexpire=2026-04-15T12:52:23.607+05:30&&sign=N1bzhXQNP+iumLagTL2SKolVyZ1ldEvD2jhR9D36IzemkFdNdn3+SIZkNIhomd+z7GPLP28riK5v5p68seYhMpVe+w+9GIgLu04Lw2V2qbfSgPs+1O",
        "qrCreatedDt": "2026-04-15 12:51:38",
        "expiryDt": "2026-04-15 12:52:21",
        "displayExpirySec": "30",
        "ipayId": "P260415125138TERTS",
        "transactionMode": "CR",
        "payableValue": "100.39",
        "transactionValue": "100.00",
        "isOnusTxn": false
    },
    "timestamp": "2026-04-15 12:51:38",
    "ipay_uuid": "h000a18c41b4-507b-40b3-8404-d98b686229d2-faOKCZaivqXI",
    "orderid": "P260415125138TERTS",
    "environment": "LIVE",
    "internalCode": ""
}

Sample Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringMessage
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive
❗️

Please Note :

To avoid transaction failures and account suspension, for every merchant you need to pass the unique outlet Id in the headers.

📘

Note :

The QR display time remains 30 seconds, as mandated by NPCI, and there is no change to this.

Previously, the total transaction duration was 45 seconds (30 seconds QR display + 15 seconds transaction time).

Now, the total transaction duration has been increased to 90 seconds, consisting of:

30 seconds QR display time and 60 seconds transaction time


Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json